## org.springframework.context.expression
Class BeanFactoryResolver

    java.lang.Object
      org.springframework.context.expression.BeanFactoryResolver

All Implemented Interfaces:
  BeanResolver

    public class BeanFactoryResolver

extends Object
implements BeanResolver

EL bean resolver that operates against a Spring `BeanFactory`.

Since:
  3.0.4
Author:
  Juergen Hoeller

Constructor Summary
`BeanFactoryResolver(BeanFactory beanFactory)`

Method Summary
`Object` `resolve(EvaluationContext context, String beanName)` Look up the named bean and return it.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanFactoryResolver

    public BeanFactoryResolver(BeanFactory beanFactory)

Method Detail

### resolve

    public Object resolve(EvaluationContext context,
                          String beanName)
                   throws AccessException

  Description copied from interface: `BeanResolver`
  Look up the named bean and return it.

  Specified by:
    `resolve` in interface `BeanResolver`
  Parameters:
    `context` - the current evaluation context
    `beanName` - the name of the bean to lookup
  Returns:
    an object representing the bean
  Throws:
    `AccessException` - if there is an unexpected problem resolving the named bean